Skip to main content
POST
/
machineidentities
/
{name}
/
credentials
/
{connectionName}
/
rotate
Rotate Machine Identity Credential
curl --request POST \
  --url https://use.hoop.dev/api/machineidentities/{name}/credentials/{connectionName}/rotate
import requests

url = "https://use.hoop.dev/api/machineidentities/{name}/credentials/{connectionName}/rotate"

response = requests.post(url)

print(response.text)
const options = {method: 'POST'};

fetch('https://use.hoop.dev/api/machineidentities/{name}/credentials/{connectionName}/rotate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "aws_access_key_id": "<string>",
  "aws_secret_access_key": "<string>",
  "command": "<string>",
  "connection_name": "<string>",
  "connection_string": "<string>",
  "connection_subtype": "<string>",
  "connection_type": "<string>",
  "database_name": "<string>",
  "endpoint_url": "<string>",
  "hostname": "<string>",
  "password": "<string>",
  "port": "<string>",
  "proxy_token": "<string>",
  "secret_key": "<string>",
  "username": "<string>"
}
{
"message": "the error description"
}
{
"message": "the error description"
}
{
"message": "the error description"
}

Path Parameters

name
string
required

Machine Identity Name

connectionName
string
required

Connection Name

Response

Created

aws_access_key_id
string
aws_secret_access_key
string
command
string
connection_name
string
connection_string
string
connection_subtype
string
connection_type
string
database_name
string
endpoint_url
string
hostname
string
password
string
port
string
proxy_token
string
secret_key
string
username
string